Package org.eclipse.lemminx.services.extensions.commands

## Interface IXMLCommandService.IDelegateCommandHandler

All Known Implementing Classes:
  `AbstractDOMDocumentCommandHandler`, `AssociateGrammarCommand`, `CheckBoundGrammarCommand`, `CheckFilePatternCommand`, `MinifyDocumentCommand`, `SurroundWithCommand`, `XMLValidationAllFilesCommand`, `XMLValidationFileCommand`

Enclosing interface:
  IXMLCommandService

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface IXMLCommandService.IDelegateCommandHandler

Command handler to register with the workspace service

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Executes a command

### Method Detail

#### executeCommand

    Object executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params,
                          SharedSettings sharedSettings,
                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                   throws Exception

Executes a command

Parameters:
  `params` - command execution parameters
  `sharedSettings` - the shared settings.
  `cancelChecker` - check if cancel has been requested
Returns:
  the result of the command
Throws:
  `Exception` - the unhandled exception will be wrapped in `org.eclipse.lsp4j.jsonrpc.ResponseErrorException` and be wired back to the JSON-RPC protocol caller